org.apache.pdfbox.rendering

## Enum RenderDestination

- java.lang.Object
- - java.lang.Enum<RenderDestination>
  - - org.apache.pdfbox.rendering.RenderDestination

All Implemented Interfaces:
  Serializable, Comparable<RenderDestination>

    public enum RenderDestination
    extends Enum<RenderDestination>

Optional content groups are visible depending on the render purpose.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`EXPORT` graphics export
`PRINT` printing
`VIEW` viewing

### Method Summary

All Methods Static Methods Concrete Methods
`static RenderDestination` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static RenderDestination[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### EXPORT

    public static final RenderDestination EXPORT

graphics export

#### VIEW

    public static final RenderDestination VIEW

viewing

#### PRINT

    public static final RenderDestination PRINT

printing

### Method Detail

#### values

    public static RenderDestination[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (RenderDestination c : RenderDestination.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static RenderDestination valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null